import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.awt.event.*;

public class JSpinnerTest13 extends JFrame implements ActionListener{

SpinnerNumberModel model;

  public static void main(String[] args){
    JSpinnerTest13 frame = new JSpinnerTest13();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest13(){

    model = new SpinnerNumberModel(0, null, null, 1);

    JSpinner spinner = new JSpinner(model);
    spinner.setPreferredSize(new Dimension(100, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    JButton button = new JButton("get");
    button.addActionListener(this);

    JPanel buttonPanel = new JPanel();
    buttonPanel.add(button);

    getContentPane().add(p, BorderLayout.CENTER);
    getContentPane().add(buttonPanel, BorderLayout.PAGE_END);
  }

  public void actionPerformed(ActionEvent e){
    Integer value = (Integer)model.getValue();

    JOptionPane.showMessageDialog(this, "Value = " + value.intValue());
  }
}